<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author: juan.agudelo

    Pantalla que permite aprobar realizar pruebas por el funcionario responsable de conservación
    CU-NP-CO-064 Gestionar Solicitud de Pruebas

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions" 
                id="uno">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Gestión de pruebas::.</ui:define>
    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsARP" showDetail="false" globalOnly="false" />
        <h:form id="detalleSolicitarPruebasForm">
            <h:panelGrid id="detalleSolicitarPP" columns="1" cellspacing="7"
                         width="100%">
                <p:fieldset id="datosARP" legend="Aprobar realizar pruebas"
                            toggleable="true" toggleSpeed="500">

                    <ui:include src="datosSolicitudPruebasConEjecutor.xhtml">
                        <ui:param name="managedBeanParam" value="#{ejecucion}" />
                        <ui:param name="selectedTramiteParam"
                                  value="#{ejecucion.tramiteSeleccionado}" />
                        <ui:param name="banderaEdicionParam"
                                  value="#{ejecucion.banderaEditarSolicitarPruebas}" />
                        <ui:param name="msgsParam" value="msgsARP" />
                    </ui:include>
                    <h:panelGrid cellspacing="7" width="100%">
                        <h:panelGrid id="panelIDatosPruebas" width="100%" columns="1"
                                     cellspacing="7">
                            <h:panelGrid columns="3">
                                <p:spacer height="10" width="1" />
                                <h:outputLabel value="Pruebas solicitadas: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <h:panelGrid columns="2" width="100%">
                                <p:editor
                                    value="#{ejecucion.tramiteSeleccionado.tramitePruebas.pruebasSolicitadas}"
                                    id="pruebasSolicitadas" widgetVar="resuelve" required="true" width="880"
                                    height="200" requiredMessage="El campo de pruebas solicitada no puede estar vacío."
                                    controls="bold italic | style |
                                    bullets numbering | outdent indent | alignleft justify | undo redo  | 
                                    cut copy paste pastetext  "
                                    disabled="true" />
                                <p:message for="pruebasSolicitadas" display="icon" id="pruebasSMsg" />
                            </h:panelGrid>
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="3" cellspacing="7">

                        <p:spacer height="0" width="8" />
                        <h:outputLabel value="Aprobar: " styleClass="outputLabelStyle" />

                        <h:selectOneMenu id="aprobarPruebas" required="true"
                                         value="#{ejecucion.tramiteSeleccionado.tramitePruebas.aprobadas}">
                            <f:selectItems value="#{general.siNo}" />
                            <p:ajax update=":msgsARP, :detalleDecisionPruebasForm"
                                    listener="#{ejecucion.aprobarRechazarPruebasDecision}" />
                        </h:selectOneMenu>

                    </h:panelGrid>
                </p:fieldset>

                <p:spacer height="13" width="0" />
            </h:panelGrid>
        </h:form>

        <h:form id="detalleDecisionPruebasForm">
            <h:panelGrid id="detalleSolicitarPP2" columns="2" cellspacing="7">
                <p:fieldset id="datosRP" legend="Rechazo de pruebas"
                            toggleable="true" toggleSpeed="500"
                            rendered="#{ejecucion.banderaRechazarPruebas}">

                    <h:panelGrid columns="2" id="datosRPF" width="100%">
                        <p:spacer height="0" width="8" />
                        <h:panelGrid width="100%">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Motivo del rechazo de pruebas: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>

                            <h:panelGrid columns="2" width="100%">
                                <h:inputTextarea id="motivoRechazo" label="Motivo del rechazo de pruebas"
                                                 value="#{ejecucion.tramiteSeleccionado.tramitePruebas.motivoRechazo}"
                                                 onkeydown="controlarNroChars(this, 600, true)"
                                                 onkeyup="controlarNroChars(this, 600, true)"
                                                 cols="153" rows="5" required="true" />
                                <p:message for="motivoRechazo" display="icon" />
                            </h:panelGrid>

                            <p:spacer height="13" width="0" />

                            <p:outputPanel id="desicionSolictarPruebas" layout="block"
                                           style="text-align: right">

                                <p:commandButton value="Guardar" icon="ui-icon-disk"
                                                 ajax="true" update=":msgsARP, desicionSolictarPruebas"
                                                 action="#{ejecucion.guardarRechazoPruebas}" />
                                <p:spacer height="10" width="8" />

                                <p:commandButton value="Enviar al ejecutor"
                                                 icon="ui-icon-arrowreturnthick-1-e" ajax="false"
                                                 update=":msgsARP" rendered="#{ejecucion.banderaGuardoRechazoPruebas}"
                                                 action="#{ejecucion.rechazarsolicitudDePruebasEjecutor}" />
                                <p:spacer height="10" width="30" />

                            </p:outputPanel>
                        </h:panelGrid>
                    </h:panelGrid>
                </p:fieldset>
                <p:spacer height="13" width="0" />

                <p:fieldset id="datosAP" legend="Aprobar pruebas" toggleable="true"
                            toggleSpeed="500" rendered="#{ejecucion.banderaAprobarPruebas}">

                    <h:panelGrid columns="1" id="datosAPF">

                        <p:spacer height="0" width="8" />

                        <h:panelGrid columns="5">
                            <p:spacer height="0" width="8" />
                            <h:panelGroup>
                                <h:outputLabel value="Fecha inicio pruebas:"
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGroup>
                            <h:panelGrid columns="2">
                                <p:calendar id="fechaIPruebas"
                                            value="#{ejecucion.tramiteSeleccionado.tramitePruebas.fechaInicio}"
                                            label="Fecha título" required="true" effect="explode"
                                            navigator="true"
                                            requiredMessage="La fecha inicial no puede estar vacía."
                                            pattern="#{general.formatoFecha}" showOn="both"
                                            title="#{general.formatoFechaUsuario}" size="10" 
                                            mindate="#{general.fechaActual}"/>
                                <p:message for="fechaIPruebas" display="icon"></p:message>
                            </h:panelGrid>

                            <h:panelGroup>
                                <h:outputLabel value="Fecha fin pruebas:"
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGroup>
                            <h:panelGrid columns="2">
                                <p:calendar id="fechaFPruebas"
                                            value="#{ejecucion.tramiteSeleccionado.tramitePruebas.fechaFin}"
                                            label="Fecha título" required="true" effect="explode"
                                            requiredMessage="La fecha final no puede estar vacía."
                                            navigator="true"
                                            pattern="#{general.formatoFecha}" showOn="both"
                                            title="#{general.formatoFechaUsuario}" size="10" />
                                <p:message for="fechaFPruebas" display="icon" />

                            </h:panelGrid>
                        </h:panelGrid>
                        <p:separator />

                        <ui:include src="datosAutoDePruebas.xhtml">
                            <ui:param name="selectedTramiteParam"
                                      value="#{ejecucion.tramiteSeleccionado}" />

                        </ui:include>

                        <p:spacer height="0" width="8" />
                        <p:outputPanel id="decisionAprobarPruebas" layout="block"
                                       style="text-align: right">

                            <p:commandButton value="Guardar" icon="ui-icon-disk" ajax="true"
                                             update=":msgsARP, decisionAprobarPruebas, btnGenerarAutoPruebas"
                                             action="#{ejecucion.guardarAceptacionPruebas}"/>
                            <p:spacer height="10" width="8" />

                            <p:commandButton id ="btnGenerarAutoPruebas" icon="ui-icon-arrowreturnthick-1-e" 
                                             value="Generar documento auto de pruebas"
                                             action="#{ejecucion.generarDocumentoAutoDePruebas}"
                                             oncomplete="statusDialog2.hide();visorReporteWV.show();" 
                                             update=":detalleSolicitarPruebasForm,:msgsARP, :viewReport:vistaMemoForm"
                                             rendered="#{ejecucion.banderaGenerarDocumentoAutoDePruebas}"
                                             process="@this" inmediate = "true"
                                             ajax="true"/>

                            <p:spacer height="10" width="8" />

                            <p:commandButton value="Enviar al abogado" id="btnEnviarAbogado"
                                             icon="ui-icon-arrowreturnthick-1-e"
                                             rendered="#{ejecucion.banderaGeneraDocumento}"
                                             update=":msgsARP"
                                             action="#{ejecucion.enviarPruebasAbogado}" />
                            <p:spacer height="10" width="30" />

                        </p:outputPanel>

                    </h:panelGrid>
                </p:fieldset>
                <p:spacer height="13" width="0" />

            </h:panelGrid>

            <h:panelGrid width="100%">
                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgInfoFis"
                                     icon="ui-icon-circle-close" immediate="true"
                                     action="#{ejecucion.cerrar}" ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />
            </h:panelGrid>

        </h:form>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" mostrarFichaPredial="true"/>

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Detalles del predio" widgetVar="detallePredioWV" dynamic="true"
                  modal="true" appendToBody="true"
                  resizable="true" position="center" height="600" width="1024">

            <!-- ui:include src="../detallePredio.xhtml" id="dpModal1" / -->
            <script type="text/javascript">
                alert('OJO. Decirle a fredy.wilches que hay que cambiar esto para que use el componente de detalle de predio');
            </script>

        </p:dialog>
        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="800">
            <ui:include src="../consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{ejecucion.reporteAutoDePruebas.urlWebReporte}"
            fileContent="#{ejecucion.reporteAutoDePruebas.streamedContentReporte}"
            documentoGenerado="#{ejecucion.reporteAutoDePruebas ne null}"
            radicarButtonVisible="false"
            cancelButtonEnabled="true"
            update="btnEnviarAbogado"
            componentsToUpdateOnClose=":detalleDecisionPruebasForm"/>		


        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <ui:include src="/util/visorGeografico.xhtml" />


    </ui:define>
</ui:composition>
